# Contributing

Thanks for your help improving the project!

## Reporting issues

If you believe you've discovered a bug in project, please check if the bug is
already known or [create an issue](https://github.com/b1-team/superman/issues) on
github. Please also report an issue if you find documentation that you think is
confusing or could be improved.

When creating a new issue, make sure to include as many details as possible to
help us understand the problem.

## Documentation

If you find documentation that you think is confusing or could be improved, 
please easily create a pull request.

## Fixing bugs and implementing new features

You need to follow the [Rust Style Guide](https://doc.rust-lang.org/beta/style-guide/index.html).

### Commits

It is a recommended best practice to keep your changes as logically grouped as
possible within individual commits. If while you're developing you prefer doing
a number of commits that are "checkpoints" and don't represent a single logical
change, please squash those together before asking for a review.
